/*
	MSGlobals.h
	
	Version 1.0d6
	
	Copyright  SRL Data 1992, 1993
	
	All rights reserved.
	
	Produced by : SRL Data
	Originally Developed for UK.DTS
*/

#ifndef __MSGLOBALS__
#define __MSGLOBALS__

#include <Types.h>
#include <Quickdraw.h>
#include <Menus.h>
#include <Editions.h>
#include <Printing.h>

#define  MenuScripterAppSig 'SVEd'

#define  WindowID     128
#define  ErrorAlert   256
#define  AdviseAlert  257

/*
	Menu Resource IDs
*/
  
#define  appleID	128
#define  fileID		129
#define  editID		130
#define  mfontID	131
#define	 sizeID		132
#define  styleID	133
#define  mscriptID	134
  
#define  kLastID	mscriptID

/*
	Items in Apple Menu
*/
  
#define  aboutItem  1
  
/*
	Items in File Menu
*/
  
#define  fmNew 			     1
#define  fmOpen 			 2
#define  fmClose 			 4
#define  fmSave 			 5
#define  fmSaveAs 			 6
#define  fmRevert 			 7
#define  fmPageSetUp 		 9
#define  fmPrint 			 10
#define  fmQuit 			 12
  
/*
	Items in Edit Menu
*/
#define  undoCommand 			 1
#define  cutCommand 			 3
#define  copyCommand 			 4
#define  pasteCommand 			 5
#define  clearCommand 			 6
#define  selectAllCommand 		 7
  
#define  cPublisher   			 9
#define  cSubscriber  			 10
#define  cOptions     			 11
#define  cBorders     			 12

/*
	Items in Style Menu
*/

#define  cPlain 		 	1
#define  cBold 			 	2
#define  cItalic 			3
#define  cUnderline 		4
#define  cOutline 			5
#define  cShadow 			6
#define  cCondense 		 	7
#define  cExtend 			8

/*
	Items in Script Menu
*/

#define  cCompile		 	1
#define  cExecute		 	2

/*
	Entry of Menu in myMenus
*/

#define  appleM 		0
#define  fileM 		 	1
#define  editM 		 	2
#define  fontM 		 	3
#define  sizeM 		 	4
#define  styleM 		5
#define  scriptM 		6
#define  kLastMenu		scriptM

/*
	Save Changes Dialog Items
*/
  
#define  aaSave 		 	1
#define  aaDiscard 	 		2
#define  aaCancel 		 	3

#define  kOSEvent			   app4Evt		/*event used by MultiFinder*/
#define  kSuspendResumeMessage		 1		/*high byte of suspend/resume event message*/
#define  kResumeMask				 1		/*bit of message field for resume vs. suspend*/
#define  kMouseMovedMessage		  0xFA		/*high byte of mouse-moved event message*/
#define  kNoEvents					 0		/*no events mask*/
  
/*
	this is a section record to hold the information about 
    the publishers and subscribers in this document
*/  

struct SectRec {
    SectionHandle   fSectHandle;
	short           fSectionID;
	RgnHandle       fBorderRgn; /*handle to the outside border*/
    Rect            fInnerBounds;
    short           fStart;     /*fStart and fEnd are both specific to a*/
    short           fEnd;       /*text handling application- start and end of text selection*/
	struct SectRec  **fNextSection;
	FSSpec          fFSSpec;
	short           fCount;
	Handle          fTextHandle;
	Boolean         fChanged; /*has the section been changed*/
	struct DocRec   *fDocument;
 };						  

typedef struct SectRec SectRec;
typedef SectRec *SectPtr, **SectHandle;

struct DocRec {
  TEHandle         theText;
  ControlHandle    vScrollBar;
  ControlHandle    hScrollBar;
  WindowPtr        theWindow;
  Boolean          dirty;
  short            refNum;
  short            theFont;
  short            theSize;
  Style            theStyle;
  Str255           theFileName;
  SectHandle	   firstSection; /*the first section in the list*/
  SectHandle	   lastSection;  /*the last section*/
  short            numSections;
  FSSpec		   theFSSpec;
  short            lastID;      /*the last sectionID*/
  THPrint          thePrintSetup;
  Rect             pageSize;    /*From thePrintSetUp^^.prInfo.rPage but 0 offset*/
  Boolean      	   showBorders;
  Boolean          everSaved;
  Boolean          isScriptWindow;
  short            scriptResID;
};

typedef struct DocRec DocRec;
typedef DocRec *DPtr;

struct HeaderRec {
  Str255    theFont;
  short		theSize;
  Style     theStyle;
  short     theLength;
  short     numSections;
  short     lastID;
};

typedef struct HeaderRec HeaderRec;
typedef HeaderRec *HPtr, **HHandle;

#ifndef __COMPGLOBALS__
extern short      gWCount;
extern short      gNewDocCount;
extern MenuHandle myMenus[kLastMenu+1];
extern short      gFontMItem;
extern Boolean    gQuitting;
extern Cursor     editCursor;
extern Cursor     waitCursor;
extern Boolean    gInBackground;
  
  /*now for the environment variables set up by Gestalt*/
  
extern Boolean    gGestaltAvailable;
extern Boolean    gAppleEventsImplemented;
extern Boolean    gAliasManagerImplemented;
extern Boolean    gEditionManagerImplemented;
extern Boolean    gOutlineFontsImplemented;

#endif

#endif