////////////////////////////////////////////////////////////////////////////////
// Copyright  1992 Apple Computer, Inc. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

/* AEUserTerminology.h															*/
/* Conforms with Winter 1992 Apple Event Registry of December 19, 1991.			*/


#include "Types.r"	/* must come before AEUserTermTypes.r */
#include "AEUserTermTypes.r"
#include "AppleEvents.r"
#include "AEObjects.r"
#include "AERegistry.r"
#include "ASRegistry.r"


resource 'aeut' (1, "Suites Franaises", sysheap) {  /* traduire le nom de la ressource ?? */
	0x01,
	0x00,
	langFrench,
	roman,
	{	/* array Suites: 6 elements */
		/* [1] */
		"Suite minimale",
		"Les commandes que toute application se doit de supporter",
		kAERequiredSuite,
		1,
		1,
		{	/* array Events: 3 elements */
			/* [1] */
			"ouvre",
			"ouvre la liste de documents demande",
			kCoreEventClass,
			kAEOpenDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeAlias,
			"la liste des documents  ouvrir",
			directParamRequired,
			listOfItems,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"imprime",
			"imprime la liste de documents demande",
			kCoreEventClass,
			kAEPrintDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeAlias,
			"la liste des documents  imprimer",
			directParamRequired,
			listOfItems,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"quitte",
			"quitte l'application",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"paramtre direct optionnel",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
			"commence", /* oui bon d'accord, le scanner ne comprend pas les ' ni les !  (?) */
			"ce message est envoy aux applications quand elles sont lances",
			kCoreEventClass,
			kAEOpenApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"paramtre direct optionnel",  /*  traduire ? */
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"Suite standard",
		"Suite AppleScript commune  toutes les applications",
		kAECoreSuite,
		1,
		1,
		{	/* array Events: 16 elements */
			/* [7] */
			"informations sur la classe",
			"donne des informations sur une classe d'objets",
			kAECoreSuite,
			kAEGetClassInfo,
			typeClassInfo,
			"un agrgat contenant les proprits et lments de la classe",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeType,
			"la classe dont on veut les informations",
			directParamOptional,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"en",
				keyAEWritingCode,
				typeIntlWritingCode,
				"les codes du langage et du systme de script dans lesquels renvoyer les informations",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [2] */
			"ferme",
			"ferme un objet",
			kAECoreSuite,
			kAEClose,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  fermer",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"enregistrement",
				keyAESaveOptions,
				enumSaveOptions,
				"prcise si les changements doivent ou non tre enregistrs avant fermeture",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [2] */
				"dans",
				keyAEFile,
				typeAlias,
				"le fichier o enregistrer l'objet",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [3] */
			"compte",
			"renvoie le nombre d'lments d'une certaine classe dans un objet",
			kAECoreSuite,
			kAECountElements,
			typeLongInteger,
			"le nombre d'lments compts",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet dont on doit compter les lments",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved,			/* completement obsolete ?? */
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"chaque",
				keyAEObjectClass,
				typeType,
				"la classe des lments  compter",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [9] */
			"taille des donnes",
			"renvoie la taille d'un objet, en octets",
			kAECoreSuite,
			kAEGetDataSize,
			typeLongInteger,
			"la taille de l'objet en octets",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet pour lequel on renvoyer la taille des donnes",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"comme",
				keyAERequestedType,
				typeType,
				"le type de donnes pour lequel la taille est calcule",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [5] */
			"supprime",
			"supprime un objet",
			kAECoreSuite,
			kAEDelete,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  supprimer",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
			"duplique",
			"cre un double d'un objet",
			kAECoreSuite,
			kAEClone,
			typeObjectSpecifier,
			"une rfrence vers l'objet dupliqu",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  dupliquer",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"vers",
				keyAEInsertHere,
				typeInsertionLoc,
				"la nouvelle position de l'objet",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [10] */
			"informations sur la commande",
			"donne des informations sur les commandes d'une suite",
			kAECoreSuite,
			kAEGetEventInfo,
			typeEventInfo,
			"un agrgat contenant les commandes et leurs paramtres",
			replyRequired,
			listOfItems,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeType,
			"la classe de la commande pour laquelle renvoyer les informations",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"en",
				keyAEWritingCode,
				typeIntlWritingCode,
				"le code du langage et le systme de script dans lesquels renvoyer les informations",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [6] */
			"existe",
			"vrifie si l'objet existe",
			kAECoreSuite,
			kAEDoObjectsExist,
			typeBoolean,
			"vrai si l'objet existe, sinon faux",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  tester",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [8] */
			"donnes sur",
			"rcupre les donnes d'un objet",
			kAECoreSuite,
			kAEGetData,
			typeWildCard,
			"les donnes provenant de l'objet",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objets dont renvoyer les donnes",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"comme",
				keyAERequestedType,
				typeType,
				"les types dsirs pour les donnes renvoyes, dans l'ordre de prfrence",
				optional,
				listOfItems,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [4] */
			"cre",
			"cre un nouvel objet",
			kAECoreSuite,
			kAECreateElement,
			typeObjectSpecifier,
			"une rfrence vers le nouvel objet",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 4 elements */
				/* [1] */
				"autre",
				keyAEObjectClass,
				typeType,
				"la classe du nouvel lment. Le mot autre est optionnel en AppleScript",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [2] */
				" la position",
				keyAEInsertHere,
				typeInsertionLoc,
				"la position  laquelle le nouvel lment sera insr",
				required,		/*** Didn't we used to have a default for this? ***/
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved,	reserved, reserved,
				/* [3] */
				"avec les donnes",
				keyAEData,
				typeWildCard,
				"les donnes initiales de l'lment",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [4] */
				"avec les proprits",
				keyAEPropData,
				typeAERecord,
				"les proprits initiales de l'lment",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [11] */
			"dplace",
			"dplace un objet",
			kAECoreSuite,
			kAEMove,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  dplacer",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"vers",
				keyAEInsertHere,
				typeInsertionLoc,
				"la nouvelle position de l'objet",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [12] */
			"ouvre",
			"ouvre des objets",
			kCoreEventClass,
			kAEOpen,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"la liste des objets  ouvrir",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [13] */
			"imprime",
			"imprime des objets",
			kCoreEventClass,
			kAEPrint,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"la liste des objets  imprimer",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [14] */
			"quitte",
			"quitte une application",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
				/* [1] */
				"enregistrement",
				keyAESaveOptions,
				enumSaveOptions,
				"indique s'il faut enregistrer les documents ouverts",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [15] */
			"enregistre",
			"enregistre un objet",
			kAECoreSuite,
			kAESave,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  enregistrer",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"dans",
				keyAEFile,
				typeAlias,
				"le fichier dans lequel enregistrer l'objet",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [2] */
				"comme",
				keyAEFileType,
				typeType,
				"le type du document dans lequel enregistrer les donnes",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [16] */
			"fixe les donnes",			/* ?? */
			"fixe les donnes d'un objet",
			kAECoreSuite,
			kAESetData,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"l'objet  modifier",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"en",
				keyAEData,
				typeWildCard,
				"la nouvelle valeur",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
			/* [17] */
			"informations sur la suite",
			"donne des informations sur des commandes d'une suite",
			kAECoreSuite,
			kAEGetSuiteInfo,
			typeSuiteInfo,
			"un agrgat contenant les suites et leurs versions",
			replyRequired,
			listOfItems,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeType,
			"la suite sur laquelle lire les informations",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	
				/* [1] */
				"en",
				keyAEWritingCode,
				typeIntlWritingCode,
				"le code du langage et le systme de script dans lesquels renvoyer la rponse",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
			},
		},
		{	/* array Classes: 7 elements */
			/* [1] */
			"application",
			cApplication,
			"une application Macintosh",
			{	/* array Properties: 9 elements */
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				feminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"Presse papiers",
				pClipboard,
				typeWildCard,
				"le presse-papiers",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"au premier plan",		/* Au premier plan */
				pIsFrontProcess,
				cBoolean,
				"l'application est-elle au premier plan ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [6] */
				"nom",
				pName,
				cIntlText,
				"le nom de l'application",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [7] */
				"slection",
				pSelection,
				cSelection,
				"la slection de l'utilisateur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [8] */
				"version",
				pVersion,
				cVersion,
				"le numro de version de l'application",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cWindow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"applications",
			cApplication,
			"toutes les applications",
			{	/* array Properties: 1 elements */
				/* [1] *//* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"caractre",
			cChar,
			"un caractre",
			{	/* array Properties: 9 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur",
				pColor,
				cRGBColor,
				"la couleur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"le nom de la police de caractres",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"taille",
				pPointSize,
				cFixed,
				"la taille des caractres en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"le style du texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"styles communs",
				pUniformStyles,
				cTextStyles,
				"les styles communs sur tout le texte",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,				/* it should be plural */
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			"caractres",
			cChar,
			"tous les caractres",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},	
			/* [3] */
			"document",
			cDocument,
			"un document",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"modification",
				pIsModified,
				cBoolean,
				"le document a-t-il t modifi depuis le dernier enregistrement ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [6] */
				"slection",
				pSelection,
				cSelection,
				"la slection de l'utilisateur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cFile,
				{	/* array KeyForms: 2 element */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"documents",
			cDocument,
			"tous les documents",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"fichier",
			cFile,
			"un fichier",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"modle",
				pIsStationeryPad,
				cBoolean,
				"le ficher est-il un modle ?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [] */
				"nom",
				pName,
				cIntlText,
				"le nom",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"fichiers",
			cFile,
			"tous les fichiers",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
/* this class is only here so we can define the contents property properly */
/* I put the  in it so the name will not conflict in scripts. */
			/* [5] */
			"objets pouvant tre slectionns",			/* ?? */
			cSelection,
			"classe gnrique des objets qui peuvent tre slectionns",
			{	/* array Properties: 1 elements */
				/* [] */
				"contenu",				/* ?? Shall we translate this ?? */
				pContents,
				cType,
				"le contenu de la slection",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
			},
			/* [6] */
			"texte",
			cText,
			"un texte",
			{	/* array Properties: 9 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"couleur",
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [] */
				"styles homognes",
				pUniformStyles,
				cTextStyles,
				"Les styles homognes sur tout le texte",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			"textes",
			cText,
			"tous les textes",
			{	
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,

			},
			{
			},
			"information sur les styles",	
			cTextStyles,
			"les styles communs  une portion de texte",
			{	
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				feminine,
				notMasculine,
				singular,

				/* [1] */
				"styles utiliss",
				keyAEOnStyles,
				enumStyle,
				"les styles qui sont utiliss dans ce texte",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
				/* [2] */
				"styles inutiliss",
				keyAEOffStyles,
				enumStyle,
				"les styles qui ne sont pas utiliss dans ce texte",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
			},
			{	
			},
			"informations sur les styles",
			cTextStyles,
			"toutes les informations sur les styles",
			{	
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	
			},
			/* [7] */
			"fentre",
			cWindow,
			"une fentre",
			{	/* array Properties: 15 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"limites",
				pBounds,
				cQDRectangle,
				"le plus petit rectangle contenant la fentre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"case de fermeture",
				pHasCloseBox,
				cBoolean,
				"la fentre a-t-elle une case de fermeture ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [6] */
				"barre de titre",
				pHasTitleBar,
				cBoolean,
				"la fentre possde-t-elle une barre de titre ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [7] */
				"rang",
				pIndex,
				cLongInteger,
				"le numro d'ordre dans l'empilement des fentres. 1 pour la fentre au premier plan",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [8] */
				"dtachable",
				pIsFloating,
				cBoolean,
				"la fentre est-elle une palette dtachable ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [9] */
				"modale",
				pIsModal,
				cBoolean,
				"la fentre est-elle modale ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [10] */
				"case de contrle de taille",
				pIsResizable,
				cBoolean,
				"la fentre possde-t-elle une case de contrle de taille ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [11] */
				"case zoom",
				pIsZoomable,
				cBoolean,
				"la fentre possde-t-elle une case zoom ?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [12] */
				"zoom",	
				pIsZoomed,
				cBoolean,
				"vrai si l'utilisateur a cliqu une fois sur la case zoom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [] */
				"nom",
				pName,
				cIntlText,
				"Le titre de la fentre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [14] */
				"Slection",
				pSelection,
				cSelection,
				"la slection de l'utilisateur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [15] */
				"visible",
				pVisible,
				cBoolean,
				"la fentre est-elle visible ?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"fentres",
			cWindow,
			"toutes les fentres",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [7] */
			"point d' insertion",
			cInsertionPoint,
			"une position d'insertion",
			{	/* array Properties: 15 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [] */
				"classe",
				pClass,
				cType,
				"une classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
			},
			"points d' insertion",
			cInsertionPoint,
			"toutes les positions d'insertion",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 8 elements */		/* ??? Qu'est-ce que a fait ici ??? */
			/* [1] */
			"commence par",
			kAEBeginsWith,
			"commence par",
			/* [2] */
			"contient",
			kAEContains,
			"contient",
			/* [3] */
			"finit pazr",
			kAEEndsWith,
			"finit par",
			/* [4] */
			"=",
			kAEEquals,
			"gal ",
			/* [5] */
			">",
			kAEGreaterThan,
			"suprieur ",
			/* [6] */
			"",
			kAEGreaterThanEquals,
			"suprieur ou gal ",
			/* [7] */
			"<",
			kAELessThan,
			"infrieur ",
			/* [8] */
			"",
			kAELessThanEquals,
			"infrieur ou gal ",
		},
		{	/* array Enumerations: 4 elements */
			/* [1] */
			enumSaveOptions,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"actif",
				kAEYes,
				"enregistre maintenant",
				/* [2] */
				"dsactiv",
				kAENo ,
				"n'enregistre pas",
				/* [3] */
				"au choix",
				kAEAsk ,
				"demande  l'utilisateur s'il faut sauver",
			},
			/* [3] */	
			enumKeyForm,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"numro",
				formAbsolutePosition,
				"cl dsignant un accs par numro",
				/* [2] */
				"nomm",			/* de nom ?? */
				formName,
				"cl dsignant un accs par nom",
				/* [3] */
				"d' identificateur",
				formUniqueID,
				"cl dsignant un accs par IDentificateur"
			},
			enumStyle,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"standard",
				kAEPlain,
				"style standard",
				/* [2] */
				"gras",
				kAEBold,
				"style gras",
				/* [3] */
				"italique",
				kAEItalic,
				"style italiques",
				/* [4] */
				"relief",
				kAEOutline,
				"style relief",
				/* [5] */
				"ombr",
				kAEShadow,
				"style ombr",
				/* [6] */
				"soulign",
				kAEUnderline,
				"style soulign",
				/* [7] */
				"exposant",
				kAESuperscript,
				"style exposant",
				/* [8] */
				"indice",
				kAESubscript,
				"style indice",
				/* [9] */
				"barr",
				kAEStrikethrough,
				"style barr",
				/* [10] */
				"petites capitales",		/* ??? petites majuscules */
				kAESmallCaps,
				"style petites capitales",
				/* [11] */
				"majuscules",
				kAEAllCaps ,
				"tout en majuscules",
				/* [12] */
				"minuscules",
				kAELowercase,
				"tout en minuscules",
				/* [13] */
				"condens",
				kAECondensed,
				"style condens",
				/* [14] */
				"largi",
				kAEExpanded,
				"style largi",
				/* [15] */
				"cach",
				kAEHidden,
				"style cach",
			},
		},	
		/* [3] */
		"Suite texte",
		"Un ensemble de classes de base pour la manipulation de texte",
		kAETextSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 0 elements */
			"caractre",
			cChar,
			"un caractre",
			{	/* array Properties: 9 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				
				"type optimal",
				pBestType,
				cType,
				"le meilleur type pour cet objet",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				singular,
				/* [2] */
				"class",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur",
				pColor,
				cRGBColor,
				"la couleur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"type par dfaut",
				pDefaultType,
				cType,
				"le type utilis par dfaut",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"le nom de la police de caractres",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"taille",
				pPointSize,
				cFixed,
				"la taille en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"le style du texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"styles communs",
				pUniformStyles,
				cTextStyles,
				"les styles homognes sur tout le texte",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition,
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [2] */
			"ligne",
			cLine,
			"une ligne de texte",
			{	/* array Properties: 10 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur",
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"Le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"la justification  du texte",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [8] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"styles homognes",
				pUniformStyles,
				cTextStyles,
				"Les styles homognes sur tout le texte",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"lignes",
			cLine,
			"toutes les lignes",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"paragraphe",
			cParagraph,
			"un paragraphe",
			{	/* array Properties: 10 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur",
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"Le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"la justification du texte",  
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [8] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre du texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"styles homognes",
				pUniformStyles,
				cTextStyles,
				"Les styles homognes dans le paragraphe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,					/* it should be plural */
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"paragraphes",
			cParagraph,
			"tous les paragraphes",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"texte",
			cText,
			"un texte",
			{	/* array Properties: 9 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur" ,
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"Le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"styles homognes" ,
				pUniformStyles,
				cTextStyles,
				"Les styles homognes dans le texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,				/* it should be plural */
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"textes",
			cText,
			"tous les textes",
			{	/* array Properties: 9 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
			},
			{
			},
			/* [5] */
			"bloc de texte",
			cTextFlow,
			"une portion de texte contigu",
			{	/* array Properties: 11 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur" ,
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"Le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"la justification du texte",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [8] */
				"nom",
				pName,
				cIntlText,
				"le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [11] */
				"styles homognes" ,
				pUniformStyles,
				cTextStyles,
				"Les styles homognes dans le texte",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"blocs de texte",
			cTextFlow,
			"tous les blocs de texte",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"information sur les styles",	
			cTextStyles,
			"On and Off styles of text run",
			{	
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				feminine,
				notMasculine,
				singular,

				/* [1] */
				"styles utiliss",
				keyAEOnStyles,
				enumStyle,
				"les styles qui sont utiliss dans ce texte",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural,
				/* [2] */
				"styles inutiliss",
				keyAEOffStyles,
				enumStyle,
				"les styles qui ne sont pas utiliss dans ce texte",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural,
			},
			{	
			},
			"informations sur les styles",
			cTextStyles,
			"toutes les informations",
			{	
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural
			},
			{	
			},
			/* [6] */
			"mot",
			cWord,
			"un mot",
			{	/* array Properties: 9 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur" ,
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"police",
				pFont,
				cText,
				"Le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"taille",
				pPointSize,
				cFixed,
				"la taille du premier caractre en points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"Styles homognes" ,
				pUniformStyles,
				cTextStyles,
				"Les styles homognes dans le mot",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,			/* it should be plural */
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"mots",
			cWord,
			"tous les mots",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */	/*** do I need all of them or just the new ones? ***/
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumJustification,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"gauche",
				kAELeftJustified,
				"texte align  gauche",
				/* [2] */
				"droite",
				kAERightJustified,
				"texte align  droite",
				/* [3] */
				"centre",
				kAECentered,
				"texte centr",
				/* [4] */
				"totale",
				kAEFullyJustified,
				"texte justifi des deux cts"
			},
			enumStyle,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"standard",
				kAEPlain,
				"style standard",
				/* [2] */
				"gras",
				kAEBold,
				"style gras",
				/* [3] */
				"italique",
				kAEItalic,
				"style italique",
				/* [4] */
				"relief",
				kAEOutline,
				"style relief",
				/* [5] */
				"ombr",
				kAEShadow,
				"style ombr",
				/* [6] */
				"soulign",
				kAEUnderline,
				"style soulign",
				/* [7] */
				"exposant",
				kAESuperscript,
				"style exposant",
				/* [8] */
				"indice",
				kAESubscript,
				"style indice",
				/* [9] */
				"barr",
				kAEStrikethrough,
				"style barr",
				/* [10] */
				"petites capitales",		/* ??? petites majuscules */
				kAESmallCaps,
				"style petites capitales",
				/* [11] */
				"majuscules",
				kAEAllCaps ,
				"tout en majuscules",
				/* [12] */
				"minuscules",
				kAELowercase,
				"tout en minuscules",
				/* [13] */
				"condens",
				kAECondensed,
				"style condens",
				/* [14] */
				"largi",
				kAEExpanded,
				"style largi",
				/* [15] */
				"cach",
				kAEHidden,
				"style cach",
			},
		},
		/* [4] */
		"Suite QuickDraw",
		"un ensemble de classes de base pour le graphisme",
		kAEQuickDrawSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 13 elements */
			/* [1] */
			"arc",
			cArc,
			"un arc d'ellipse",
			{	/* array Properties: 13 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"angle",
				pArcAngle,
				cFixed,
				"l'angle d'ouverture de l'arc en degrs",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				notFeminine,
				masculine,
				singular,
				/* [2] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [3] */
				"limites",
				pBounds,
				cQDRectangle,
				"le plus petit rectangle qui contient l'arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [4] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [5] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [6] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"le rectangle qui englobe l'ellipse dfinissant l'arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [7] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [8] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [9] */
				"couleur du pinceau",		/*crayon ou pinceau ? */
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [10] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [11] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [12] */
				"angle d' origine",
				pStartAngle,
				cFixed,
				"l'angle qui dfinit le dbut de l'arc, en degrs",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				notFeminine,
				Masculine,
				singular,
				/* [13] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,		/*** Should this be defined as an enumeration in the suite? ***/
				"le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"arcs",
			cArc,
			"tous les arcs d'ellipse",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"zone de dessin",
			cDrawingArea,
			"un conteneur pour les dessins et leurs caractristiques",
			{	/* array Properties: 23 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"couleur de fond",
				pBackgroundColor,
				cRGBColor,
				"la couleur utilise pour remplir les espaces vides",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"motif de fond",
				pBackgroundPattern,
				cPixelMap,
				"le motif utilis pour remplir les espaces vides",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [3] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le rectangle englobant la zone de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [5] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"palette",
				pColorTable,
				cColorTable,
				"la palette",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [8] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage par dfaut des objets graphiques",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage par dfaut des objets graphiques",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"liste ordonne",		/* was ordering : translation ? */
				pGraphicObjects,
				typeObjectSpecifier,
				"la liste ordonne des objets graphiques dans la zone de dessin",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"nom",
				pName,
				cIntlText,
				"le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [12] */
				"position par dfaut",
				pNewElementLoc,
				cQDPoint,
				"la position par dfaut de tout nouvel objet graphique",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [13] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [14] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [15] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [16] */
				"profondeur",
				pPixelDepth,
				cShortInteger,
				"le nombre de bits par pixel",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [17] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				Masculine,
				singular,
				/* [18] */
				"couleur du texte",
				pTextColor,
				cRGBColor,
				"la couleur par dfaut des textes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [19] */
				"police par dfaut",
				pTextFont,
				cIntlText,
				"le nom de la police par dfaut des textes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [20] */
				"taille par dfaut",
				pTextPointSize,
				cFixed,
				"la taille par dfaut, en points, des textes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [21] */
				"style",
				pTextStyles,
				cTextStyles,
				"le style par dfaut des textes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [22] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert par dfaut pour les graphiques",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [23] */
				"rafrachissement",
				pUpdateOn,
				cBoolean,
				"faut-il redessiner aprs chaque changement ?", /* ? */
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"zones de dessin",
			cDrawingArea,
			"toutes les zones de dessin",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"trait",
			cGraphicLine,
			"une ligne graphique",
			{	/* array Properties: 12 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant le trait",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,				/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"style de pointill",
				pDashStyle,
				typeDashStyle,
				"le style de pointill",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [5] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [6] */
				"point d' arrive",
				pEndPoint,
				cQDPoint,
				"le point de fin de la ligne",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [7] */
				"style de flche",
				pLineArrow,
				enumArrows,
				"le style de flche",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [10] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [11] */
				"point de dpart",
				pStartPoint,
				cQDPoint,
				"le point d'origine de la ligne",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [12] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"traits",
			cGraphicLine,
			"tous les traits",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"objet graphique",
			cGraphicObject,
			"un objet graphique",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"le plus petit rectangle englobant tout l'objet graphique",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */		
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"objets graphiques",
			cGraphicObject,
			"tous les objets graphiques",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [5] */
			"forme",
			cGraphicShape,
			"une forme graphique",
			{	/* array Properties: 11 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant toute la forme graphique",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"Le rectangle utilis pour dfinir la forme",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [6] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"formes",
			cGraphicShape,
			"toutes les formes",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [6] */
			"texte graphique",
			cGraphicText,
			"une suite de caractres dans une zone de dessin",
			{	/* array Properties: 12 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [2] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [3] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant le texte graphique",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [4] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [5] */
				"couleur" ,
				pColor,
				cRGBColor,
				"la couleur du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [7] */
				"police",
				pFont,
				cText,
				"le nom de la police du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [8] */
				"taille",
				pPointSize,
				cFixed,
				"la taille, en points, du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style du premier caractre",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [11] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [12] */
				"styles communs" ,
				pUniformStyles,
				cTextStyles,
				"les styles communs dans le texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural,				/* it should be plural */
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [7] */
			"groupe de graphiques",
			cGroupedGraphic,
			"un groupe de graphiques",
			{	/* array Properties: 7 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant l'objet graphique",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"liste ordonne",
				pGraphicObjects,
				typeObjectSpecifier,
				"la liste ordonne des objets graphiques dans la zone de dessin",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [7] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"groupes de graphiques",
			cGroupedGraphic,
			"tous les groupes de graphiques",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"ovale",
			cOval,
			"synonyme de ellipse",
			{
			},
			{
			},
			/* [8] */
			"ellipse",
			cOval,
			"une ellipse",
			{	/* array Properties: 11 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant l'ellipse",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"Le rectangle utilis pour dfinir l'ellipse",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [6] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"ovales",
			cOval,
			"synonyme de ellipses",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{
			},
			"ellipses",
			cOval,
			"toutes les ellipses",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [9] */
			"pixel",
			cPixel,
			"un pixel",
			{	/* array Properties: 4 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"couleur" ,
				pColor,
				cRGBColor,
				"la couleur",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"pixels",
			cPixel,
			"tous les pixels",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [10] */
			"image",			/* was pixel map : ? */
			cPixelMap,
			"une image",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant the pixel map",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cPixel,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
				}
			},
			"images",
			cPixelMap,
			"toutes les images",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [11] */
			"polygone",
			cPolygon,
			"un polygone",
			{	/* array Properties: 12 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant the entire polygon",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [5] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"Le rectangle utilis pour dfinir le polygone",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [6] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"sommets",
				pPointList,
				typeQDPoint,
				"la liste des sommets qui dfinissent le polygone",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,			/* It should be plural */
				/* [12] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"polygones",
			cPolygon,
			"tous les polygones",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [12] */
			"rectangle",
			cRectangle,
			"un rectangle",
			{	/* array Properties: 11 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"The rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"Les deux points en haut  gauche et en bas  droite qui dfinissent le rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [6] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"rectangles",
			cRectangle,
			"tous les rectangles",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [13] */
			"rectangle arrondi",
			cRoundedRectangle,
			"un rectangle arrondi",
			{	/* array Properties: 13 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"The rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"hauteur de l' arrondi",
				pCornerCurveHeight,
				cShortInteger,
				"la hauteur de l'ellipse utilise pour dfinir les arrondis du rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [5] */
				"largeur de l' arrondi",
				pCornerCurveWidth,
				cShortInteger,
				"la largeur de l'ellipse utilise pour dfinir les arrondis du rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [7] */
				"rectangle de dfinition",
				pDefinitionRect,
				cQDRectangle,
				"Les deux points en haut  gauche et en bas  droite qui dfinissent le rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [8] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [12] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [13] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"rectangles arrondis",
			cRoundedRectangle,
			"tous les rectangles arrondis",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 2 elements */
			/* [1] */
			enumTransferMode,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"mode copy",
				kAEQDCopy,
				"mode copie",
				/* [2] */
				"mode notCopy",
				kAEQDNotCopy,
				"mode copie inverse",
				/* [3] */
				"mode or",
				kAEQDOr,
				"mode ajout",
				/* [4] */
				"mode notOr",
				kAEQDNotOr,
				"mode ajout inverse",
				/* [5] */
				"mode bic",
				kAEQDBic,
				"mode effacement",
				/* [6] */
				"mode notBic",
				kAEQDNotBic,
				"mode effacement inverse",
				/* [7] */
				"mode xor",
				kAEQDXor,
				"mode inversion",
				/* [8] */
				"mode notXor",
				kAEQDNotXor,
				"mode inversion inverse",
				/* [9] */
				"mode addOver",		/* ??? */
				kAEQDAddOver,
				"mode addition",
				/* [10] */
				"mode addPin",		/* ??? */
				kAEQDAddPin,
				"mode addition limite",
				/* [11] */
				"mode subOver",		/* ??? */
				kAEQDSubOver,
				"mode soustraction",
				/* [12] */
				"mode subPin",		/* ??? */
				kAEQDSubPin,
				"mode soustraction limite",
				/* [13] */
				"mode adMax",
				kAEQDAdMax,
				"mode maximum",
				/* [14] */
				"mode adMin",
				kAEQDAdMin,
				"mode minimum",
				/* [15] */
				"mode blend",
				kAEQDBlend,
				"mode mlange",
			},
			/* [2] */
			enumArrows,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"sans flche",
				kAENoArrow ,
				"pas de flche sur la ligne",
				/* [2] */
				"flche au dbut",
				kAEArrowAtStart ,
				"flche au dbut de la ligne",
				/* [3] */
				"flche  la fin",
				kAEArrowAtEnd ,
				"flche  la fin de la ligne",
				/* [4] */
				"flche aux deux extrmits",
				kAEArrowBothEnds ,
				"flches aux deux extrmits de la ligne"
			}
		},
		/* [5] */
		"Suite supplmentaire QuickDraw",
		"Dfinit des transformations sur les objets graphiques",
		kAEQDSupplementalSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"zone de dessin",
			cDrawingArea,
			"un conteneur pour les dessins et leurs caractristiques",		/* ???    container  */
			{	/* array Properties: 26 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"couleur de fond",				/* ??? couleur de fond ou du fond ? */
				pBackgroundColor,
				cRGBColor,
				"la couleur utilise pour remplir les zones inoccupes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"motif de fond",				/* ??? idem ci-dessus */
				pBackgroundPattern,
				cPixelMap,
				"Le motif utilis pour remplir les zones inoccupes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [3] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le rectangle englobant la zone de dessin",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */
				/* [5] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"palette",
				pColorTable,
				cColorTable,
				"la palette des couleurs",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [7] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [8] */
				"couleur de remplissage",
				pFillColor,
				cRGBColor,
				"la couleur de remplissage par dfaut pour les objets graphiques",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"motif de remplissage",
				pFillPattern,
				cPixelMap,
				"Le motif de remplissage par dfaut pour les objets graphiques",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"liste ordonne",
				pGraphicObjects,
				typeObjectSpecifier,
				"la liste ordonne des objets graphiques",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [11] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [12] */
				"position par dfaut",
				pNewElementLoc,
				cQDPoint,
				"la position par dfaut des nouveaux objets graphiques",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [13] */
				"couleur du pinceau",
				pPenColor,
				cRGBColor,
				"la couleur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [14] */
				"motif du pinceau",
				pPenPattern,
				cPixelMap,
				"Le motif du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [15] */
				"largeur du pinceau",
				pPenWidth,
				cShortInteger,
				"la largeur du pinceau",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [16] */
				"profondeur",				/* ??? use to be "Pixel depth" -> profondeur des pixels ? */
				pPixelDepth,
				cShortInteger,
				"Nombre de bits par pixel",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [17] */
				"rotation",
				pRotation,
				cRotation,
				"la rotation par dfaut des objets de la zone de dessin",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [18] */
				"chelle",
				pScale,
				cFixed,
				"l'chelle par dfaut des objets de la zone de dessin",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				apostrophe,
				Feminine,
				notMasculine,
				singular,
				/* [19] */
				"code d' criture",
				pScriptTag,
				cIntlWritingCode,
				"les codes du langage et du systme de script",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [20] */
				"couleur du texte",
				pTextColor,
				cRGBColor,
				"la couleur par dfaut des objets texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [21] */
				"police par dfaut",
				pTextFont,
				cIntlText,
				"Le nom de la police par dfaut des objets texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [22] */
				"taille par dfaut",
				pTextPointSize,
				cFixed,
				"la taille en points par dfaut des objets textes",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [23] */
				"style",
				pTextStyles,
				cTextStyles,
				"Le style par dfaut des objets texte",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [24] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert par dfaut pour les objets",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [25] */
				"translation",
				pTranslation,
				cQDPoint,
				"le dplacement par dfaut des objets de la zone de dessin",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [26] */
				"rafrachissement",
				pUpdateOn,
				cBoolean,
				"Rafrachir aprs chaque changement", /* ? */
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"zones de dessin",
			cDrawingArea,
			"toutes les zones de dessin",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"groupe graphique",
			cGroupedGraphic,
			"un groupe de graphiques",
			{	/* array Properties: 10 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				masculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"limites",
				pBounds,
				cQDRectangle,
				"Le plus petit rectangle englobant the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,			/* set to singular LMS */	
				/* [3] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"liste ordonne",
				pGraphicObjects,
				typeObjectSpecifier,
				"The ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [6] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [7] */
				"rotation",
				pRotation,
				cRotation,
				"la rotation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [8] */
				"chelle",
				pScale,
				cFixed,
				"l'chelle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [9] */
				"mode de transfert",
				pTransferMode,
				enumTransferMode,
				"Le mode de transfert",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [10] */
				"translation",
				pTranslation,
				cQDPoint,
				"la translation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"groupes graphiques",
			cGroupedGraphic,
			"tous les groupes de graphiques",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [6] */
		"Suite tableurs",
		"un ensemble de classes pour les tableurs",
		kAETableSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 4 elements */
			/* [1] */
			"cellule",
			cCell,
			"une cellule",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"formule",
				pFormula,
				cText,
				"la formule associe  la cellule",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"indique si la valeur ou la formule de la cellule peut tre modifie",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			"cellules",
			cCell,
			"toutes les cellules",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"colonne",
			cColumn,
			"une colonne de cellules",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"nom",
				pName,
				cIntlText,
				"le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"indique si la formule de la colonne peut tre modifie",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"colonnes",
			cColumn,
			"toutes les colonnes",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"range",
			cRow,
			"une range de cellules",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"indique si la formule de la range peut tre modifie",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"ranges",
			cRow,
			"toutes les colonnes",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"feuille de calcul",
			cTable,
			"une feuille de calcul",
			{	/* array Properties: 5 elements */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				feminine,
				notMasculine,
				singular,
				/* [1] */
				"proprits de la classe",
				pBestType,
				cType,
				"les proprits spcifiques de la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"classe",
				pClass,
				cType,
				"la classe",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				singular,
				/* [4] */
				"nom",
				pName,
				cIntlText,
				"Le nom",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				Masculine,
				singular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"indique si la formule de la feuille de calcul peut tre modifie",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				Feminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 3 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cColumn,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cRow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"feuilles de calcul",
			cTable,
			"toutes les feuilles de calcul",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumProtection,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"lecture seule",				/* ??? Non modifiable */
				kAENonmodifiable ,
				"on ne peut pas modifier les formules ou les valeurs",
				/* [2] */
				"formules protges",			/* ??? */
				kAEFormulaProtect ,
				"on peut modifier les valeurs mais pas les formules",
				/* [3] */
				"lecture ou criture",			/* ??? /  modifiable */
				kAEModifiable ,
				"on peut modifier les formules et les valeurs"
			}
		},
	}
};
