/* DB aete.r															*/
/* Created on 18 June 1992.												*/

/* Change History:
/* 	5/4/92	Began with 'aeut' of 2/18/92 & DB Suite						*/
/*  6/18/92	Incorporated Brendans proofreading							*/

#include "AEUserTermTypes.r"
#include "AppleEvents.r"
#include "AEObjects.r"
#include "AERegistry.r"
#include "AEDatabase.r"

resource 'aete' (0, "Database Event Suite") {
	0x00,
	0x96,
	english,
	roman,
	{	/* array Suites: 2 elements */
		/* [1] */
		"Database Suite",
		"Events that every Database application should support",
		kAEDBSuite,
		1,
		1,
		{	/* array Events: 3 elements */
			/* [1] */
			"Abort Transaction",
			"Abort this transaction",
			kAEDatabase,
			kAEAbortTransaction,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,	/* ??? */
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"Begin Transaction",	/* ??? */
			"Begin a transaction",	/* ??? */
			kAEMiscStandards,
			kAEBeginTransaction,
			typeLongInteger,
			"The transaction ID",	/* ??? */
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			typeObjectSpecifier,
			"The Session that this transaction belongs to",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"Group",
			"Summarize a table",
			kAEDatabase,
			kAEGroup,
			typeObjectSpecifier,
			"The summary table",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			typeObjectSpecifier,
			"The columns to use in the summary",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 3 elements */
				/* [1] */
				"with",
				keyAEGroupColumns,
				typeObjectSpecifier,
				"The columns to summarize",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"as",
				keyAEGroupFunctions,
				enumGroupFunctions,
				"The functions to summarize with",
				required,
				listOfItems,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"to",
				keyAEInsertHere,
				typeInsertionLoc,
				"The new location for the object",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			/* [4] */
			"Sort",
			"Sort a table",
			kAEDatabase,
			kAESort,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			typeObjectSpecifier,
			"The table to sort",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 3 elements */
				/* [1] */
				"by",
				keyAESortElement,
				typeObjectSpecifier,
				"The columns by which to sort",
				required,
				listOfItems,
				notEnumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"in order",
				keyAESortType,
				typeShortInteger,
				"The sort type",
				required,
				listOfItems,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			}
		},
		{	/* array Classes: 10 elements */
			/* [1] */
			"cell",
			cCell,
			"A cell in a table",
			{	/* array Properties: 8 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"formula",
				pFormula,
				cText,
				"The formula for the cell",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of the cell",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"name",
				pName,
				cText,
				"The name of the cell",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"protection",
				pProtection,
				enumProtection,
				"The protection of this cell",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"repeat size",
				pRepeatSize,
				cLongInteger,
				"Number of items in this cell",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"value",
				pValue,
				cText,
				"The data in this cell",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"column",
			cColumn,
			"A column in a table",
			{	/* array Properties: 15 elements */
				/* [1] */
				"access",
				pAccess,
				enumAccess,
				"The access privilege",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"formula",
				pFormula,
				cText,
				"The formula for the column",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of the column",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"name",
				pName,
				cText,
				"The name of the column",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"nulls allowed",
				pNullsOK,
				cBoolean,
				"Are nulls allowed in this column?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"protection",
				pProtection,
				enumProtection,
				"The protection of this column",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"repeating",
				pRepeating,
				enumRepeatValues,
				"The type of repeating column",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"repeat size",
				pRepeatSize,
				cLongInteger,
				"Maximum number of values in each cell of this column",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [13] */
				"unique value",
				pUniqueValue,
				cBoolean,
				"Must the values in this column be unique?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [2] */
				cColumn,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [3] */
			"database",
			cDatabase,
			"A database",
			{	/* array Properties: 6 elements */
				/* [1] */
				"access privileges",
				pAccess,
				enumAccess,
				"Value and formula protection privileges",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of this database",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"name",
				pName,
				cText,
				"The name of the database",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cSession,
				{
				},
				/* [2] */
				cTable,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [4] */
			"DBMS",
			cDBMS,
			"A database management system",
			{	/* array Properties: 4 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"name",
				pName,
				cText,
				"The name of the DBMS",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cSession,
				{
				},
				/* [2] */
				cDatabase,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [5] */
			"host",
			cHost,
			"A host computer",
			{	/* array Properties: 4 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"name",
				pName,
				cText,
				"The name of the database",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 3 elements */
				/* [1] */
				cSession,
				{
				},
				/* [2] */
				cDBMS,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [3] */
				cDatabase,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [6] */
			"key",
			cKey,
			"An indexed column",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"current sort",
				pCurrentSort,
				cShortInteger,
				"The current sort",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"name",
				pName,
				cText,
				"The name of the database",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"primary key",
				pPrimaryKey,
				cBoolean,
				"Is this the primary key for the table?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"unique value",
				pUniqueValue,
				cBoolean,
				"Is this key unique for every row?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cColumn,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [7] */
			"row",
			cRow,
			"A row in a table",
			{	/* array Properties: 8 elements */
				/* [1] */
				"access",
				pAccess,
				enumAccess,
				"The access privilege",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"id",
				pID,
				cLongInteger,
				"The unique ID of this row",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of the row",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"name",
				pName,
				cText,
				"The name of the row",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"protection",
				pProtection,
				enumProtection,
				"The protection of this row",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [2] */
				cTable,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [8] */
			"row selection",
			cRowSelection,
			"A selection of rows in a table",
			{	/* array Properties: 8 elements */
				/* [1] */
				"access",
				pAccess,
				enumAccess,
				"The access privilege",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"kind",
				pKind,
				enumTableTypes,
				"The kind of table selected",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of the row",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"name",
				pName,
				cText,
				"The name of the row",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"protection",
				pProtection,
				enumProtection,
				"The protection of this row selection",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"row ids",
				pRowIDs,
				cAEList,
				"A list of row IDs for the rows in this selection",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 3 elements */
				/* [1] */
				cColumn,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [2] */
				cRow,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [3] */
				cKey,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
			/* [9] */
			"session",
			cSession,
			"An authenticated session",
			{	/* array Properties: 9 elements */
				/* [1] */
				"account",
				pAccount,
				cText,
				"An optional account number",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"guest",
				pGuest,
				cBoolean,
				"Is this requesting guest access",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"id",
				pID,
				cText,
				"The unique ID for this session",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"current transaction",
				pOpenTransaction,
				cLongInteger,
				"The current transaction ID",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"password",
				pPassword,
				cText,
				"The password for this user",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"user",
				pUser,
				cText,
				"The user name for this session",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [10] */
			"table",
			cTable,
			"A table of a database",
			{	/* array Properties: 8 elements */
				/* [1] */
				"access",
				pAccess,
				enumAccess,
				"The access privilege",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"The best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"The default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"kind",
				pKind,
				enumTableTypes,
				"The kind of table that this represents",
				reserved,
				singleItem,
				enumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"lock",
				pLock,
				enumLockTypes,
				"The lock status of the table",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"name",
				pName,
				cText,
				"The name of the table",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"protection",
				pProtection,
				enumProtection,
				"The protection for this table",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [2] */
				cColumn,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [3] */
				cKey,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				},
				/* [4] */
				cRow,
				{	/* array KeyForms: 6 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName,
					/* [3] */
					formPropertyID,
					/* [4] */
					formRange,
					/* [5] */
					formRelativePosition,
					/* [6] */
					formTest
				}
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 3 elements */
			/* [1] */
			enumGroupFunctions,
			{	/* array Enumerators: 7 elements */
				/* [1] */
				"Sum",
				kSum,
				"Summarize sum of elements",
				/* [2] */
				"Count",
				kCount,
				"Summarize count of elements",
				/* [3] */
				"Mean",
				kMean,
				"Summarize mean of elements",
				/* [4] */
				"Standard Deviation",
				kStdDev,
				"Summarize standard deviation of elements",
				/* [5] */
				"Average",
				kAverage ,
				"Summarize average of elements",
				/* [6] */
				"Minimum",
				kMinimum ,
				"Summarize the minimum of the elements",
				/* [7] */
				"Maximum",
				kMaximum ,
				"Summarize the maximum of the elements"
			},
			/* [2] */
			enumTableTypes,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"Table",
				kTable,
				"A table",
				/* [2] */
				"View",
				kView,
				"A view",
				/* [3] */
				"Cursor",
				kCursor,
				"A cursor",
				/* [4] */
				"Linkset",
				kLinkset,
				"A Linkset"
			},
			/* [3] */
			enumProtection,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"Read Only",
				kAENonmodifiable ,
				"Can't change values or formulas",
				/* [2] */
				"Formulas Protected",
				kAEFormulaProtect ,
				"Can changes values but not formulas",
				/* [3] */
				"Read/Write",
				kAEModifiable ,
				"Can change values and formulas"
			},
			/* [4] */
			enumLockTypes,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"Unlocked",
				kNoLock ,
				"Not currently locked",
				/* [2] */
				"Shared Lock",
				kSharedLock ,
				"A multiple reader lock",
				/* [3] */
				"Exclusive Lock",
				kExclusiveLock ,
				"A read/write lock"
			},
			/* [5] */
			enumAccess,
			{	/* array Enumerators: 11 elements */
				/* [1] */
				"No access",
				kNoAccess,
				"No access",
				/* [2] */
				"Read",
				kReadAccess,
				"Read only access",
				/* [3] */
				"Write",
				kWriteAccess,
				"Write only access",
				/* [4] */
				"Read/write",
				kReadAccess + kWriteAccess,
				"Read/write access",
				/* [5] */
				"Update",
				kUpdateAccess,
				"Update access",
				/* [6] */
				"Read/write/update",
				kReadAccess + kWriteAccess + kUpdateAccess,
				"Read/write/update access",
				/* [7] */
				"Create",
				kCreateAccess,
				"Create access",
				/* [8] */
				"Write created",
				kReadAccess + kCreateAccess,
				"Read/create access",
				/* [9] */
				"No delete",
				kReadAccess + kWriteAccess + kUpdateAccess + kCreateAccess,
				"No delete access",
				/* [10] */
				"Delete",
				kDeleteAccess,
				"Delete access",
				/* [11] */
				"Full",
				kReadAccess + kWriteAccess + kUpdateAccess + kCreateAccess + kDeleteAccess,
				"Full access"
			},
			enumSortDirection,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"Ascending",
				kAscending,
				"Ascending sort order",
				/* [2] */
				"Descending",
				kDescending,
				"Descending sort order",
				/* [3] */
				"Numeric",
				kNumeric,
				"Numeric sort order",
				/* [4] */
				"Textual",
				kTextual,
				"Text sort order"
			},
		},
	},
};

